'''
Task Coach - Your friendly task manager
Copyright (C) 2004-2008 Frank Niessink <frank@niessink.com>

Task Coach is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Task Coach is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''


def viewer2csv(viewer):
    visibleColumns = viewer.visibleColumns()
    csvRows = [[column.header() for column in visibleColumns]]
    tree = viewer.isTreeViewer()
    for item in viewer.visibleItems():
        row = [column.render(item) for column in visibleColumns]
        if tree:
            indentLevel = len(item.ancestors())
            row[0] = ' ' * indentLevel + row[0]
        csvRows.append(row)
    return csvRows

